# geos::geom::LinearRing Class Reference

Basic implementation of `LinearRing`. More...

`#include <LinearRing.h>`

Inheritance diagram for geos::geom::LinearRing:

List of all members.

## Public Member Functions

| LinearRing (const LinearRing &lr)
| LinearRing (CoordinateSequence *points, const GeometryFactory *newFactory)
| Constructs a `LinearRing` with the given points.
| LinearRing (CoordinateSequence::AutoPtr points, const GeometryFactory *newFactory)
| Hopefully cleaner version of the above.
virtual Geometry * | clone () const
| Make a deep-copy of this Geometry.
bool | isSimple () const
| Returns false if the Geometry not simple.
std::string | getGeometryType () const
| Return a string representation of this Geometry type.
virtual GeometryTypeId | getGeometryTypeId () const
| Return an integer representation of this Geometry type.
bool | isClosed () const
void | setPoints (CoordinateSequence *cl)

## Detailed Description

Basic implementation of `LinearRing`.

The first and last point in the coordinate sequence must be equal. Either orientation of the ring is allowed. A valid ring must not self-intersect.

## Constructor & Destructor Documentation

geos::geom::LinearRing::LinearRing | ( | CoordinateSequence * | points,
|  | const GeometryFactory * | newFactory |
| ) |  |  |

Constructs a `LinearRing` with the given points.

Parameters:

  | points | points forming a closed and simple linestring, or `null` or an empty array to create the empty geometry. This array must not contain `null` elements. If not null LinearRing will take ownership of points.
  | newFactory | the GeometryFactory used to create this geometry

The documentation for this class was generated from the following file:

- LinearRing.h